---
title: "Transition season"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › execution

`POST /v2/execution/cycles/{cycleId}/lifecycle-events`

## Path parameters

- `cycleId` (`execution-transition-season.path.cycleId`; string, required)
  - format `uuid`

## Request body

Any of:

- `object`
  - `action` (`execution-transition-season.1.action`; string, required)
    - one of `"pause"`
  - `reason` (`execution-transition-season.1.reason`; string, required)
    - minLength 1; maxLength 2000
  - `expectedRestartAt` (`execution-transition-season.1.expectedRestartAt`; string, required)
    - format `date-time`
- `object`
  - `action` (`execution-transition-season.2.action`; string, required)
    - one of `"resume"`
  - `reason` (`execution-transition-season.2.reason`; string, required)
    - minLength 1; maxLength 2000
- `object`
  - `action` (`execution-transition-season.3.action`; string, required)
    - one of `"reset"`
  - `reason` (`execution-transition-season.3.reason`; string, required)
    - minLength 1; maxLength 2000
  - `replacementPrimaryOutcome` (`execution-transition-season.3.replacementPrimaryOutcome`; string, required)
    - minLength 1; maxLength 4000
- `object`
  - `action` (`execution-transition-season.4.action`; string, required)
    - one of `"complete"`
  - `reason` (`execution-transition-season.4.reason`; string, required)
    - minLength 1; maxLength 2000
  - `founderAttestation` (`execution-transition-season.4.founderAttestation`; string, required)
    - minLength 1; maxLength 4000
- `object`
  - `action` (`execution-transition-season.5.action`; string, required)
    - one of `"end_early"`
  - `reason` (`execution-transition-season.5.reason`; string, required)
    - minLength 1; maxLength 2000
- `object`
  - `action` (`execution-transition-season.6.action`; string, required)
    - one of `"archive"`
  - `reason` (`execution-transition-season.6.reason`; string, required)
    - minLength 1; maxLength 2000

## Example request

```json
{
  "action": "pause",
  "reason": "string",
  "expectedRestartAt": "2019-08-24T14:15:22Z"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/lifecycle-events' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "pause",
  "reason": "string",
  "expectedRestartAt": "2019-08-24T14:15:22Z"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/lifecycle-events';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({action: 'pause', reason: 'string', expectedRestartAt: '2019-08-24T14:15:22Z'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/execution/cycles/<cycleId>/lifecycle-events"

payload = {
    "action": "pause",
    "reason": "string",
    "expectedRestartAt": "2019-08-24T14:15:22Z"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Default Response

#### Example

```json
{
  "data": {
    "season": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "label": "string",
      "cycleType": "string",
      "startDate": "2019-08-24T14:15:22Z",
      "endDate": "2019-08-24T14:15:22Z",
      "status": "planning",
      "baselineId": "021a9d20-deb5-4bc7-8aee-9e5074855731",
      "primaryOutcome": "string",
      "ownerUserId": "string",
      "cadence": "weekly",
      "visibility": "public",
      "durationMode": "eight_week_template",
      "durationTemplate": "eight_week",
      "activatedBy": "string",
      "activatedAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "events": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
        "cycleId": "811bdbf8-a42f-4f8c-b62e-39c77332ffe1",
        "sequence": 0,
        "action": "activate",
        "previousStatus": "planning",
        "resultingStatus": "planning",
        "reason": "string",
        "expectedRestartAt": "2019-08-24T14:15:22Z",
        "previousPrimaryOutcome": "string",
        "resultingPrimaryOutcome": "string",
        "actorUserId": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ],
    "seasonReview": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "cycleId": "811bdbf8-a42f-4f8c-b62e-39c77332ffe1",
      "completionEventId": "b8a0d11d-26eb-419f-a4b3-c56bb67e330c",
      "snapshot": {
        "schemaVersion": 1,
        "cycleId": "811bdbf8-a42f-4f8c-b62e-39c77332ffe1",
        "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
        "completionEventId": "b8a0d11d-26eb-419f-a4b3-c56bb67e330c",
        "completedAt": "2019-08-24T14:15:22Z",
        "originalBaseline": {
          "baselineId": "021a9d20-deb5-4bc7-8aee-9e5074855731",
          "versionNumber": 0,
          "snapshotHash": "string",
          "snapshot": {
            "property1": null,
            "property2": null
          }
        },
        "target": {
          "original": "string",
          "final": "string"
        },
        "route": {
          "phases": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "title": "string",
              "startsAt": "2019-08-24T14:15:22Z",
              "endsAt": "2019-08-24T14:15:22Z"
            }
          ],
          "milestones": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "title": "string",
              "startsAt": "2019-08-24T14:15:22Z",
              "endsAt": "2019-08-24T14:15:22Z"
            }
          ],
          "materialChanges": [
            {
              "kind": "lifecycle",
              "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
              "occurredAt": "2019-08-24T14:15:22Z",
              "reason": "string"
            }
          ]
        },
        "commitments": [
          {
            "commitmentId": "4e1ecf7c-8127-4207-92b0-010ff43ff54d",
            "title": "string",
            "ownerUserId": "string",
            "weekStart": "2019-08-24T14:15:22Z",
            "deadlineAt": "2019-08-24T14:15:22Z",
            "baselineValue": 0,
            "targetValue": 0,
            "measurementUnit": "string",
            "plannedPayloadHash": "string",
            "outcome": {
              "status": "completed",
              "actualValue": 0,
              "actualResult": "string",
              "varianceExplanation": "string",
              "resolvedAt": "2019-08-24T14:15:22Z",
              "payloadHash": "string"
            },
            "truthStatus": "resolved"
          }
        ],
        "evidenceCoverage": {
          "artifactBacked": 0,
          "sourceVerified": 0,
          "thirdPartyAttested": 0,
          "commitmentsWithoutEvidence": 0
        },
        "assumptions": [
          {
            "statement": "string",
            "assessment": "unassessed"
          }
        ],
        "weeklyReviews": {
          "filed": [
            {
              "reviewId": "341516c7-7748-4edf-830d-9d7fcae997b7",
              "periodStart": "2019-08-24T14:15:22Z",
              "periodEndExclusive": "2019-08-24T14:15:22Z",
              "learning": "string",
              "nextPlan": "string",
              "filedAt": "2019-08-24T14:15:22Z",
              "sourceHash": "string"
            }
          ],
          "missingPeriods": [
            {
              "periodStart": "2019-08-24T14:15:22Z",
              "periodEndExclusive": "2019-08-24T14:15:22Z"
            }
          ]
        },
        "learned": [
          "string"
        ],
        "next": [
          "string"
        ],
        "founderAttestation": "string",
        "thirdPartyAttestations": [
          {
            "evidenceId": "84c8ea22-9959-4357-9a32-7546d09a0037",
            "attestorUserId": "string",
            "attestationScope": {
              "status": "complete",
              "observed": "string",
              "notVerified": "string"
            },
            "recordedAt": "2019-08-24T14:15:22Z",
            "sourceHash": "string"
          }
        ],
        "visibility": "public"
      },
      "sourceHash": "string",
      "reviewHash": "string",
      "founderAttestation": "string",
      "visibility": "public",
      "generatedBy": "string",
      "generatedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`execution-transition-season.response.201.data`; object, required)
  - `season` (`execution-transition-season.response.201.data.season`; object, required)
    - `id` (`execution-transition-season.response.201.data.season.id`; string, required)
      - format `uuid`
    - `entityId` (`execution-transition-season.response.201.data.season.entityId`; string, required)
      - format `uuid`
    - `label` (`execution-transition-season.response.201.data.season.label`; string, required)
      - minLength 1; maxLength 120
    - `cycleType` (`execution-transition-season.response.201.data.season.cycleType`; string, required)
    - `startDate` (`execution-transition-season.response.201.data.season.startDate`; string, required)
      - format `date-time`
    - `endDate` (`execution-transition-season.response.201.data.season.endDate`; string, required)
      - format `date-time`
    - `status` (`execution-transition-season.response.201.data.season.status`; string, required)
      - one of `"planning"`, `"locked"`, `"active"`, `"resolution_open"`, `"closed"`, `"paused"`, `"reset"`, `"completed"`, `"ended_early"`, `"archived"`
    - `baselineId` (`execution-transition-season.response.201.data.season.baselineId`; string, required, nullable)
      - format `uuid`
    - `primaryOutcome` (`execution-transition-season.response.201.data.season.primaryOutcome`; string, required, nullable)
      - minLength 1; maxLength 4000
    - `ownerUserId` (`execution-transition-season.response.201.data.season.ownerUserId`; string, required, nullable)
      - minLength 1
    - `cadence` (`execution-transition-season.response.201.data.season.cadence`; string, required, nullable)
      - one of `"weekly"`, `"biweekly"`, `"monthly"`
    - `visibility` (`execution-transition-season.response.201.data.season.visibility`; string, required, nullable)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `durationMode` (`execution-transition-season.response.201.data.season.durationMode`; string, required, nullable)
      - one of `"eight_week_template"`, `"custom"`
    - `durationTemplate` (`execution-transition-season.response.201.data.season.durationTemplate`; string, required, nullable)
      - one of `"eight_week"`
    - `activatedBy` (`execution-transition-season.response.201.data.season.activatedBy`; string, required, nullable)
      - minLength 1
    - `activatedAt` (`execution-transition-season.response.201.data.season.activatedAt`; string, required, nullable)
      - format `date-time`
    - `createdBy` (`execution-transition-season.response.201.data.season.createdBy`; string, required, nullable)
      - minLength 1
    - `createdAt` (`execution-transition-season.response.201.data.season.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`execution-transition-season.response.201.data.season.updatedAt`; string, required)
      - format `date-time`
  - `events` (`execution-transition-season.response.201.data.events`; array<object>, required)
    - `id` (`execution-transition-season.response.201.data.events.id`; string, required)
      - format `uuid`
    - `entityId` (`execution-transition-season.response.201.data.events.entityId`; string, required)
      - format `uuid`
    - `cycleId` (`execution-transition-season.response.201.data.events.cycleId`; string, required)
      - format `uuid`
    - `sequence` (`execution-transition-season.response.201.data.events.sequence`; integer, required)
      - min 0
    - `action` (`execution-transition-season.response.201.data.events.action`; string, required)
      - one of `"activate"`, `"pause"`, `"resume"`, `"reset"`, `"complete"`, `"end_early"`, `"archive"`
    - `previousStatus` (`execution-transition-season.response.201.data.events.previousStatus`; string, required)
      - one of `"planning"`, `"locked"`, `"active"`, `"resolution_open"`, `"closed"`, `"paused"`, `"reset"`, `"completed"`, `"ended_early"`, `"archived"`
    - `resultingStatus` (`execution-transition-season.response.201.data.events.resultingStatus`; string, required)
      - one of `"planning"`, `"locked"`, `"active"`, `"resolution_open"`, `"closed"`, `"paused"`, `"reset"`, `"completed"`, `"ended_early"`, `"archived"`
    - `reason` (`execution-transition-season.response.201.data.events.reason`; string, required)
      - minLength 1; maxLength 2000
    - `expectedRestartAt` (`execution-transition-season.response.201.data.events.expectedRestartAt`; string, required, nullable)
      - format `date-time`
    - `previousPrimaryOutcome` (`execution-transition-season.response.201.data.events.previousPrimaryOutcome`; string, required)
      - minLength 1; maxLength 4000
    - `resultingPrimaryOutcome` (`execution-transition-season.response.201.data.events.resultingPrimaryOutcome`; string, required)
      - minLength 1; maxLength 4000
    - `actorUserId` (`execution-transition-season.response.201.data.events.actorUserId`; string, required)
      - minLength 1
    - `createdAt` (`execution-transition-season.response.201.data.events.createdAt`; string, required)
      - format `date-time`
  - `seasonReview` (`execution-transition-season.response.201.data.seasonReview`; object, required, nullable)
    - `id` (`execution-transition-season.response.201.data.seasonReview.id`; string, required)
      - format `uuid`
    - `entityId` (`execution-transition-season.response.201.data.seasonReview.entityId`; string, required)
      - format `uuid`
    - `cycleId` (`execution-transition-season.response.201.data.seasonReview.cycleId`; string, required)
      - format `uuid`
    - `completionEventId` (`execution-transition-season.response.201.data.seasonReview.completionEventId`; string, required)
      - format `uuid`
    - `snapshot` (`execution-transition-season.response.201.data.seasonReview.snapshot`; object, required)
      - `schemaVersion` (`execution-transition-season.response.201.data.seasonReview.snapshot.schemaVersion`; number, required)
        - one of `1`
      - `cycleId` (`execution-transition-season.response.201.data.seasonReview.snapshot.cycleId`; string, required)
        - format `uuid`
      - `entityId` (`execution-transition-season.response.201.data.seasonReview.snapshot.entityId`; string, required)
        - format `uuid`
      - `completionEventId` (`execution-transition-season.response.201.data.seasonReview.snapshot.completionEventId`; string, required)
        - format `uuid`
      - `completedAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.completedAt`; string, required)
        - format `date-time`
      - `originalBaseline` (`execution-transition-season.response.201.data.seasonReview.snapshot.originalBaseline`; object, required)
        - `baselineId` (`execution-transition-season.response.201.data.seasonReview.snapshot.originalBaseline.baselineId`; string, required)
          - format `uuid`
        - `versionNumber` (`execution-transition-season.response.201.data.seasonReview.snapshot.originalBaseline.versionNumber`; integer, required)
          - min 0
        - `snapshotHash` (`execution-transition-season.response.201.data.seasonReview.snapshot.originalBaseline.snapshotHash`; string, required)
          - pattern `^sha256:[a-f0-9]{64}$`
        - `snapshot` (`execution-transition-season.response.201.data.seasonReview.snapshot.originalBaseline.snapshot`; map<unknown>, required)
      - `target` (`execution-transition-season.response.201.data.seasonReview.snapshot.target`; object, required)
        - `original` (`execution-transition-season.response.201.data.seasonReview.snapshot.target.original`; string, required)
          - minLength 1; maxLength 4000
        - `final` (`execution-transition-season.response.201.data.seasonReview.snapshot.target.final`; string, required)
          - minLength 1; maxLength 4000
      - `route` (`execution-transition-season.response.201.data.seasonReview.snapshot.route`; object, required)
        - `phases` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.phases`; array<object>, required)
          - `id` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.phases.id`; string, required)
            - format `uuid`
          - `title` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.phases.title`; string, required)
            - minLength 1
          - `startsAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.phases.startsAt`; string, required, nullable)
            - format `date-time`
          - `endsAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.phases.endsAt`; string, required)
            - format `date-time`
        - `milestones` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.milestones`; array<object>, required)
          - `id` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.milestones.id`; string, required)
            - format `uuid`
          - `title` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.milestones.title`; string, required)
            - minLength 1
          - `startsAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.milestones.startsAt`; string, required, nullable)
            - format `date-time`
          - `endsAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.milestones.endsAt`; string, required)
            - format `date-time`
        - `materialChanges` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.materialChanges`; array<object>, required)
          - `kind` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.materialChanges.kind`; string, required)
            - one of `"lifecycle"`, `"calendar_reschedule"`, `"commitment_edit"`, `"commitment_reset"`
          - `sourceId` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.materialChanges.sourceId`; string, required)
            - format `uuid`
          - `occurredAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.materialChanges.occurredAt`; string, required)
            - format `date-time`
          - `reason` (`execution-transition-season.response.201.data.seasonReview.snapshot.route.materialChanges.reason`; string, required)
            - minLength 1; maxLength 4000
      - `commitments` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments`; array<object>, required)
        - `commitmentId` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.commitmentId`; string, required)
          - format `uuid`
        - `title` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.title`; string, required)
          - minLength 1
        - `ownerUserId` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.ownerUserId`; string, required, nullable)
          - minLength 1
        - `weekStart` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.weekStart`; string, required, nullable)
          - format `date-time`
        - `deadlineAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.deadlineAt`; string, required, nullable)
          - format `date-time`
        - `baselineValue` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.baselineValue`; number, required, nullable)
        - `targetValue` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.targetValue`; number, required, nullable)
        - `measurementUnit` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.measurementUnit`; string, required, nullable)
        - `plannedPayloadHash` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.plannedPayloadHash`; string, required, nullable)
          - pattern `^sha256:[a-f0-9]{64}$`
        - `outcome` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome`; object, required, nullable)
          - `status` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.status`; string, required)
            - one of `"completed"`, `"partial"`, `"missed"`
          - `actualValue` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.actualValue`; number, required, nullable)
          - `actualResult` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.actualResult`; string, required)
            - minLength 1; maxLength 4000
          - `varianceExplanation` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.varianceExplanation`; string, required, nullable)
            - minLength 1; maxLength 4000
          - `resolvedAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.resolvedAt`; string, required)
            - format `date-time`
          - `payloadHash` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.outcome.payloadHash`; string, required)
            - pattern `^sha256:[a-f0-9]{64}$`
        - `truthStatus` (`execution-transition-season.response.201.data.seasonReview.snapshot.commitments.truthStatus`; string, required)
          - one of `"resolved"`, `"missing_outcome"`
      - `evidenceCoverage` (`execution-transition-season.response.201.data.seasonReview.snapshot.evidenceCoverage`; object, required)
        - `artifactBacked` (`execution-transition-season.response.201.data.seasonReview.snapshot.evidenceCoverage.artifactBacked`; integer, required)
          - min 0
        - `sourceVerified` (`execution-transition-season.response.201.data.seasonReview.snapshot.evidenceCoverage.sourceVerified`; integer, required)
          - min 0
        - `thirdPartyAttested` (`execution-transition-season.response.201.data.seasonReview.snapshot.evidenceCoverage.thirdPartyAttested`; integer, required)
          - min 0
        - `commitmentsWithoutEvidence` (`execution-transition-season.response.201.data.seasonReview.snapshot.evidenceCoverage.commitmentsWithoutEvidence`; integer, required)
          - min 0
      - `assumptions` (`execution-transition-season.response.201.data.seasonReview.snapshot.assumptions`; array<object>, required)
        - `statement` (`execution-transition-season.response.201.data.seasonReview.snapshot.assumptions.statement`; string, required)
          - minLength 1
        - `assessment` (`execution-transition-season.response.201.data.seasonReview.snapshot.assumptions.assessment`; string, required)
          - one of `"unassessed"`
      - `weeklyReviews` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews`; object, required)
        - `filed` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed`; array<object>, required)
          - `reviewId` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.reviewId`; string, required)
            - format `uuid`
          - `periodStart` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.periodStart`; string, required)
            - format `date-time`
          - `periodEndExclusive` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.periodEndExclusive`; string, required)
            - format `date-time`
          - `learning` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.learning`; string, required)
            - minLength 1; maxLength 4000
          - `nextPlan` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.nextPlan`; string, required)
            - minLength 1; maxLength 4000
          - `filedAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.filedAt`; string, required)
            - format `date-time`
          - `sourceHash` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.filed.sourceHash`; string, required)
            - pattern `^sha256:[a-f0-9]{64}$`
        - `missingPeriods` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.missingPeriods`; array<object>, required)
          - `periodStart` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.missingPeriods.periodStart`; string, required)
            - format `date-time`
          - `periodEndExclusive` (`execution-transition-season.response.201.data.seasonReview.snapshot.weeklyReviews.missingPeriods.periodEndExclusive`; string, required)
            - format `date-time`
      - `learned` (`execution-transition-season.response.201.data.seasonReview.snapshot.learned`; array<string>, required)
        - minLength 1; maxLength 4000
      - `next` (`execution-transition-season.response.201.data.seasonReview.snapshot.next`; array<string>, required)
        - minLength 1; maxLength 4000
      - `founderAttestation` (`execution-transition-season.response.201.data.seasonReview.snapshot.founderAttestation`; string, required)
        - minLength 1; maxLength 4000
      - `thirdPartyAttestations` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations`; array<object>, required)
        - `evidenceId` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.evidenceId`; string, required)
          - format `uuid`
        - `attestorUserId` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestorUserId`; string, required)
          - minLength 1
        - `attestationScope` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope`; any of, required)
          - any of:
            - `object`
              - `status` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope.1.status`; string, required)
                - one of `"complete"`
              - `observed` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope.1.observed`; string, required)
                - minLength 1; maxLength 4000
              - `notVerified` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope.1.notVerified`; string, required)
                - minLength 1; maxLength 4000
            - `object`
              - `status` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope.2.status`; string, required)
                - one of `"legacy_incomplete"`
              - `legacyStatement` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.attestationScope.2.legacyStatement`; string, required)
                - minLength 1; maxLength 4000
        - `recordedAt` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.recordedAt`; string, required)
          - format `date-time`
        - `sourceHash` (`execution-transition-season.response.201.data.seasonReview.snapshot.thirdPartyAttestations.sourceHash`; string, required)
          - pattern `^sha256:[a-f0-9]{64}$`
      - `visibility` (`execution-transition-season.response.201.data.seasonReview.snapshot.visibility`; string, required)
        - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `sourceHash` (`execution-transition-season.response.201.data.seasonReview.sourceHash`; string, required)
      - pattern `^sha256:[a-f0-9]{64}$`
    - `reviewHash` (`execution-transition-season.response.201.data.seasonReview.reviewHash`; string, required)
      - pattern `^sha256:[a-f0-9]{64}$`
    - `founderAttestation` (`execution-transition-season.response.201.data.seasonReview.founderAttestation`; string, required)
      - minLength 1; maxLength 4000
    - `visibility` (`execution-transition-season.response.201.data.seasonReview.visibility`; string, required)
      - one of `"public"`, `"follower"`, `"capital"`, `"diligence"`, `"custom"`
    - `generatedBy` (`execution-transition-season.response.201.data.seasonReview.generatedBy`; string, required)
      - minLength 1
    - `generatedAt` (`execution-transition-season.response.201.data.seasonReview.generatedAt`; string, required)
      - format `date-time`
    - `createdAt` (`execution-transition-season.response.201.data.seasonReview.createdAt`; string, required)
      - format `date-time`
- `meta` (`execution-transition-season.response.201.meta`; object, optional)
  - `timestamp` (`execution-transition-season.response.201.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.400.error`; object, required)
  - `code` (`execution-transition-season.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.401.error`; object, required)
  - `code` (`execution-transition-season.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.403.error`; object, required)
  - `code` (`execution-transition-season.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.404.error`; object, required)
  - `code` (`execution-transition-season.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.409.error`; object, required)
  - `code` (`execution-transition-season.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.422.error`; object, required)
  - `code` (`execution-transition-season.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.429.error`; object, required)
  - `code` (`execution-transition-season.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.500.error`; object, required)
  - `code` (`execution-transition-season.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 502

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.502.error`; object, required)
  - `code` (`execution-transition-season.response.502.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.502.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.502.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.502.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-transition-season.response.503.error`; object, required)
  - `code` (`execution-transition-season.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-transition-season.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`execution-transition-season.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-transition-season.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/execution-transition-season/index.md
